using Inspectron.Settings.Attributes;

namespace VisionBuilder.UI.IOCommander;

public class IOCommanderCommand
{
    public int Pin { get; set; }

    [SettingDescription("Should be triggered when crossing from low to high or opposite?")]
    public bool OnHigh { get; set; }

    public EGPIOCommand Command { get; set; }



    override public string ToString()
    {
        return $"Pin: {Pin}, OnHigh: {OnHigh}, Command: {Command}";
    }
}